What's new in the Splunk SDK for Ruby

The Splunk SDK for Ruby is deprecated. For more information, see Deprecation notice.

The current version of the Splunk® SDK for Ruby is 1.0.5. This topic summarizes the changes included in each version of the SDK.

For a detailed list of new features and APIs, breaking changes, and other changes, see the Splunk SDK for Ruby Changelog (/splunk-sdk-ruby/changelog.md).

Version 1.0.5 of the Splunk SDK for Ruby contains the following changes since the last release:

  • Added support for basic authentication.
  • Added an example for load balanced search heads.

Here's what was new in version 1.0.4 of the SDK:

  • Added support for client certificates and path prefix.
  • Added an option to specify a proxy server to use. Includes connect_via_proxy.rb example.
  • Other minor fixes

Here's what was new in version 1.0.3 of the SDK:

  • Splunk SDK for Ruby now works with Splunk 6.
  • Fixed URL escaping of owners and apps in namespaces that contain special characters.

Here's what was new in version 1.0.2 of the SDK:

  • Cosmetic changes to the repository only.

Here's what was new in version 1.0.1 of the SDK:

  • Fixed Job#results to properly handle arguments.